[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpPoll

Poll a file descriptor for events.

## Declaration

Source position: bunxh.inc line 97

`function FpPoll(`
`fds: ppollfd;`
`nfds: cuint;`
`timeout: clong`
`):cint;`

## Description

fpPoll waits for events on file descriptors. fds points to an array of tpollfd records, each of these records describes a file descriptor on which to wait for events. The number of file descriptors is given by nfds. >timeout specifies the maximum time (in milliseconds) to wait for events.

On timeout, the result value is 0. If an event occurred on some descriptors, then the return value is the number of descriptors on which an event (or error) occurred. The revents field of the tpollfd records will contain the events for the file descriptor it described.

## See also

tpollfd |  | Alias for pollfd type